# jZebro jQuery plugin
#### Very small and simple jQuery plugin that will make your table more convenient and at the same time beautiful. Using it on their sites with a large number of information tables, you can cut a pretty good time!

###Last version of jZebro: 1.0.1

###Update 19.03.2012
* Upgrade to new version: 1.0.1: added user function divWidth and divMargin.
* Added RED, GREEN and BLUE themes for tables;

### Requirements
* [jQuery](http://jquery.com/) v1.6+
 
### Browser Support (tested versions)
* Google Chrome - 7.0+
* Apple Safari - 4.0+
* Mozilla Firefox - 3.0+
* Opera - 10.0+
* Microsoft Internet Explorer 6.0+

##Install
### Add files to HEAD place:

	<!-- Add jQuery 1.7.1 (min) libriary from Google -->
	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>
	
	<!-- Add jQuery plugin jZebro.js in ./ directory -->
	<script type="text/javascript" src="jquery.jZebro-1.0.1.min.js"></script>
	
	<!-- Add CSS table theme. Default and simple theme is ./themes/default/jZebro.css -->
	<link rel="stylesheet" type="text/css" href="themes/default/jZebro.css" />

### And now you should be add this short jQuery script:

		<script type="text/javascript">
			
			// Run jQuery in noConflict mode:
			
			jQuery(document).ready(function($){
				
				// Find <div> with class "container" and add jZebro
				// plugin function to <table> in there:
				
				jQuery(this).find('div.container table').jZebro({
				
					// For example: custom width and margin for table
					
					divWidth : "600px",
				   divMargin : "30px auto"
				
				});
				
			});
			
		</script>
		
### If you want to change my CSS class in plugin - follow this instruction:

		<script type="text/javascript">
			
			jQuery(document).ready(function($){
				
				jQuery(this).find('div.container table').jZebro({
				
				thClasses :	"only your classes here",
				tdClasses :	"and here",
			trEvenClasses :	"and here again",
			 trOddClasses :	"end class",
				 divWidth : "only your width with -px- postfix",
				divMargin : "only your margin CSS function"
				
				});
				
			});
			
		</script>

#### All done! :) You may place your table into DIV with "container" class (or any other of your choice). 
#### Table auto resize to DIV "container".